Bug 363116 - import selected from sd-card crashes
Summary: import selected from sd-card crashes
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-UMS (show other bugs)
Version: 4.14.0
Platform: Fedora RPMs Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-16 01:27 UTC by roland
Modified: 2017-08-16 05:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description roland 2016-05-16 01:27:35 UTC
The crash assistant won't load and even though I installed the debuginfo package, I'm not getting anything extra. And ulimit -c unlimited isn't getting me a core dump, so I've not got much to go on except the logs to the terminal (below).

[root@airy ~]# rpm -q digikam
digikam-4.14.0-7.fc23.x86_64
[root@airy ~]# uname -a
Linux airy.rlent.pnet 4.4.9-300.fc23.x86_64 #1 SMP Wed May 4 23:56:27 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

No, I am not running digikam as root....




Reproducible: Always

Steps to Reproduce:
1. Import > Card Readers > SD/MMC Card at ...
2. Select one or more images from preview window
3. Download > Download Selected
4. Select Album, click OK


Actual Results:  
Crash....

Expected Results:  
Load me images into the selected Album

2038 roland> digikam
loaded the Generic plugin 
libpng warning: iCCP: known incorrect sRGB profile
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgImport > Card Readers > SD/MMC Card at ...ets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
digikam(4743) KWidgetItemDelegateEventListener::eventFilter: User of KWidgetItemDelegate should not delete widgets created by createItemWidgets! 
libpng warning: iCCP: profile 'ICC Profile': 1000000h: invalid rendering intent
digikam(4743)/digikam (core) Digikam::ImageInfo::fromLocalFile: No location could be retrieved for "/run/media/roland/CASIO-DSC/DCIM/100CASIO/CIMG1238.JPG" 
digikam(4743)/digikam (core) Digikam::ImageInfo::fromLocalFile: No location could be retrieved for "/run/media/roland/CASIO-DSC/DCIM/100CASIO/CIMG1245.JPG" 
digikam: tiffcomposite.cpp:749: virtual Exiv2::Internal::TiffComponent* Exiv2::Internal::TiffMnEntry::doAddPath(uint16_t, Exiv2::Internal::TiffPath&, Exiv2::Internal::TiffComponent*, Exiv2::Internal::TiffComponent::AutoPtr): Assertion `mn_' failed.
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...
digikam: Fatal IO error 9 (Bad file descriptor) on X server :0.
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
KCrash: Connect sock_file=/home/roland/.kde/socket-airy.rlent.pnet/kdeinit4__0

(digikam:4743): GStreamer-CRITICAL **: gstsystemclock: write control failed in wakeup_async: 9:Bad file descriptor


(digikam:4743): GStreamer-CRITICAL **: gstsystemclock: write control failed in wakeup_async: 9:Bad file descriptor

Unable to start Dr. Konqi
Comment 1 caulier.gilles 2016-05-16 03:40:54 UTC
Sound like it crash in libexiv2 while parsing TIFF header from Casio JPEG files.

Please report this problem to Exiv2 team.

Gilles Caulier
Comment 2 caulier.gilles 2016-12-24 10:46:50 UTC
digiKam 5.4.0 bundles will use QtAV framework instead Qt5Multimedia to thumb
and play video/audio. The Slideshow tool will also support video as well.

QtAV use ffmpeg codecs. It's multi-platform and will always available in
OSX, Windows and Linux bundles that digiKam team provide.

For Linux packagers, you will need to turn on video support at compilation time
and solve QtAV dependencies...

See screenshots here :

https://www.flickr.com/photos/digikam/30886133553
https://www.flickr.com/photos/digikam/31679362466
https://www.flickr.com/photos/digikam/31572654722
https://www.flickr.com/photos/digikam/31726086736

Bundles have been recompiled are posted to GDrive for testing :

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM